#include <bits/stdc++.h>
using namespace std;
#define task "N!!"
int main()
{
freopen(task ".inp","r",stdin);
freopen(task ".out", "w", stdout);
   long long d=1,e=1;
   int n; cin>>n;  d=1,e=1;
   if (n%2==0)
   {
       for (int i=2; i<=n; i=i++)
        if (d%2==0)
        d=d*i;
   }
   if (n%2==1)
    {
        for (int x=1;x<=n;x++)
            if (e%2==1)
            e=e*x;
    }
    cout <<d;
}


